Remove obsolete Test prereq from PathTools
[perl.git] / dist / PathTools / Makefile.PL
1
2 BEGIN { @INC = grep {!/blib/} @INC }
3
4 require 5.005;
5 use ExtUtils::MakeMaker;
6 WriteMakefile
7 (
8           'DISTNAME' => 'PathTools',
9           'NAME' => 'Cwd',
10           'VERSION_FROM' => 'Cwd.pm',
11           'DEFINE' => join(" ",
12                 "-DDOUBLE_SLASHES_SPECIAL=@{[$^O eq q(qnx) || $^O eq q(nto) ? 1 : 0]}",
13                 ((grep { $_ eq 'PERL_CORE=1' } @ARGV) ? '-DNO_PPPORT_H' : ()),
14           ),
15           'PREREQ_PM' => {
16                            'Carp' => '0',
17                            'File::Basename' => '0',
18                            'Scalar::Util' => '0',
19                            # done_testing() is used in dist/Cwd/t/Spec.t
20                            'Test::More' => 0.88,
21                          },
22           ($] > 5.011) ? () : ( INSTALLDIRS => 'perl' ), # CPAN sourced versions should now install to site
23           'EXE_FILES' => [],
24           'PL_FILES' => {}
25         )
26 ;